Summary: The Vorbis General Audio Compression Codec.
Name:		libvorbis
Version:	1.0rc2
Release: 	9.el2
Group: System Environment/Libraries
License:	BSD
URL:		http://www.xiph.org/
Source:		http://www.xiph.org/ogg/vorbis/download/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libogg >= %{version}
BuildPrereq: 	libogg-devel >= %{version}

Patch:		libvorbis-1.0rc1-libdep.patch
Patch1:		libvorbis-1.0rc2-floor.patch
Patch2:		libvorbis-1.0rc2-CVE-2007-3106.patch
Patch3: r13149.patch
Patch4: r13179.patch
Patch5: r13217-CVE-2007-4065.patch
Patch6: r13160-CVE-2007-3106.patch
Patch7: r14598-CVE-2008-1420.patch
Patch8: r14602-CVE-2008-1419.patch
Patch9: r14604-CVE-2008-1423.patch
Patch10: libvorbis-1.0rc2-check_words.patch
Patch11: r14502.patch

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

The libvorbis package contains runtime libraries for use in programs
that support Ogg Voribs.

%package devel
Summary: Development tools for Vorbis applications.
Group: Development/Libraries
Requires:	libogg-devel >= %{version}
Requires:	libvorbis = %{version}
Obsoletes:	vorbis-devel

%description devel
The libvorbis-devel package contains the header files and documentation
needed to develop applications with Ogg Vorbis.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0 -b .r13149
%patch4 -p0 -b .r13179
%patch5 -p0 -b .r13217-CVE-2007-4065
%patch6 -p0 -b .r13160-CVE-2007-3106
%patch7 -p0 -b .r14158-CVE-2008-1420
%patch8 -p0 -b .r14602-CVE-2008-1419
%patch9 -p0 -b .r14604-CVE-2008-1423
%patch10 -p1 -b .check_words
%patch11 -p1 -b .r14502

perl -p -i -e "s/-O20 -ffast-math/$RPM_OPT_FLAGS/" configure

%build
libtoolize --copy --force
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# libtool is fun. really.
cd lib
rm -rf .libs *.la
make
cp -a .libs/libvorbis{enc,file}* $RPM_BUILD_ROOT/usr/lib
cd ..

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README todo.txt
%{_libdir}/libvorbis.so.*
%{_libdir}/libvorbisfile.so.*
%{_libdir}/libvorbisenc.so.*

%files devel
%defattr(-,root,root)
%doc doc/*
%{_includedir}/vorbis
%{_libdir}/libvorbis.a
%{_libdir}/libvorbis.so
%{_libdir}/libvorbisfile.a
%{_libdir}/libvorbisfile.so
%{_libdir}/libvorbisenc.a
%{_libdir}/libvorbisenc.so
%{_datadir}/aclocal/vorbis.m4

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Fri May 02 2008 Jindrich Novy <jnovy@redhat.com> - 1:1.0rc2-9.el2
- add backported patch (r14502) to fix info.c flaws
Resolves: #444703

* Fri Apr 11 2008 Jindrich Novy <jnovy@redhat.com> - 1:1.0rc2-8.el2
- fix CVE-2008-1420, CVE-2008-1419, CVE-2008-1423 and CVE-2008-2009
Resolves: #444703

* Tue Oct 09 2007 Behdad Esfahbod <besfahbo@redhat.com> - 1:1.0rc2-7.el2
- Fix patch whitespace r13160-CVE-2007-3106.patch

* Tue Oct 09 2007 Behdad Esfahbod <besfahbo@redhat.com> - 1:1.0rc2-6.el2
- Add r13160-CVE-2007-3106.patch

* Fri Sep 21 2007 Behdad Esfahbod <besfahbo@redhat.com> - 1:1.0rc2-5.el2
- Add r13217-CVE-2007-4065.patch

* Tue Sep 18 2007 Behdad Esfahbod <besfahbo@redhat.com> - 1:1.0rc2-4.el2
- Add r13149.patch, r13179.patch
- Resolves: #245994

* Thu Aug  16 2007 Behdad Esfahbod <besfahbo@redhat.com> - 1:1.0rc2-3.el2.1
- Add libvorbis-1.0rc2-CVE-2007-3106.patch from Monty
- Resolves: #245994

* Tue Mar 26 2002 Bill Nottingham <notting@redhat.com>
- fix rebuild

* Thu Aug 16 2001 Bill Nottingham <notting@redhat.com>
- fix bug in floor backend (<michael@stroucken.org>)

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- update to 1.0rc2

* Fri Jul 20 2001 Bill Nottingham <notting@redhat.com>
- split out from the main vorbis package

* Tue Jul 10 2001 Bill Nottingham <notting@redhat.com>
- own %%{_libdir}/ao
- I love libtool

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add links from library major version numbers in rpms

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- update to rc1

* Fri May  4 2001 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- fixed perl line in spec file to set optims correctly

* Tue Mar 20 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64, again
- use optflags, not -O20 -ffast-math (especially on alpha...)

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix license tag

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- beta4

* Fri Feb  9 2001 Bill Nottingham <notting@redhat.com>
- fix alpha/ia64

* Thu Feb  8 2001 Bill Nottingham <notting@redhat.com>
- update CVS in prep for beta4

* Wed Feb 07 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #25391. ogg123 now usses the OSS driver by default if
  none was specified.

* Tue Jan  9 2001 Bill Nottingham <notting@redhat.com>
- update CVS, grab aRts backend for libao

* Thu Dec 27 2000 Bill Nottingham <notting@redhat.com>
- update CVS

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- hack up specfile some, merge some packages

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
